import * as _ from 'lodash';
const data1 = {
  ...Object.keys({
    'lang.{lang=it}.about.content': {},
    'lang.{lang=it}.about.name': {},
    'lang.{lang=it}.app.loading': {},
    'lang.{lang=it}.blog.heading': {},
    'lang.{lang=it}.blog.posts.{post=prototipazione}.content': {},
    'lang.{lang=it}.blog.posts.{post=prototipazione}.heading': {},
    'lang.{lang=it}.blog.posts.{post=prototipazione}.image.src': {},
    'lang.{lang=it}.blog.posts.{post=prototipazione}.slug': {},
    'lang.{lang=it}.blog.posts.{post=prototipazione}.subheading': {},
    'lang.{lang=it}.blog.posts.{post=prototipazione}.summary': {},
    'lang.{lang=it}.blog.subheading': {},
    'lang.{lang=it}.footer.columns.{column=1}.content': {},
    'lang.{lang=it}.footer.columns.{column=1}.links.{link=1}.content': {},
    'lang.{lang=it}.footer.columns.{column=1}.links.{link=1}.href': {},
    'lang.{lang=it}.footer.columns.{column=1}.title': {},
    'lang.{lang=it}.footer.columns.{column=2}.links.{link=1}.content': {},
    'lang.{lang=it}.footer.columns.{column=2}.links.{link=1}.href': {},
    'lang.{lang=it}.footer.columns.{column=2}.title': {},
    'lang.{lang=it}.footer.columns.{column=3}.links.{link=1}.content': {},
    'lang.{lang=it}.footer.columns.{column=3}.links.{link=1}.href': {},
    'lang.{lang=it}.footer.columns.{column=3}.links.{link=2}.content': {},
    'lang.{lang=it}.footer.columns.{column=3}.links.{link=2}.href': {},
    'lang.{lang=it}.footer.columns.{column=3}.links.{link=3}.content': {},
    'lang.{lang=it}.footer.columns.{column=3}.links.{link=3}.href': {},
    'lang.{lang=it}.footer.columns.{column=3}.links.{link=4}.content': {},
    'lang.{lang=it}.footer.columns.{column=3}.links.{link=4}.href': {},
    'lang.{lang=it}.footer.columns.{column=3}.title': {},
    'lang.{lang=it}.footer.columns.{column=4}.links.{link=1}.content': {},
    'lang.{lang=it}.footer.columns.{column=4}.links.{link=1}.href': {},
    'lang.{lang=it}.footer.columns.{column=4}.links.{link=2}.content': {},
    'lang.{lang=it}.footer.columns.{column=4}.links.{link=2}.href': {},
    'lang.{lang=it}.footer.columns.{column=4}.links.{link=3}.content': {},
    'lang.{lang=it}.footer.columns.{column=4}.links.{link=3}.href': {},
    'lang.{lang=it}.footer.columns.{column=4}.links.{link=4}.content': {},
    'lang.{lang=it}.footer.columns.{column=4}.links.{link=4}.href': {},
    'lang.{lang=it}.footer.columns.{column=4}.title': {},
    'lang.{lang=it}.footer.copyrightleft': {},
    'lang.{lang=it}.footer.copyrightright': {},
    'lang.{lang=it}.footer.header.cta.href': {},
    'lang.{lang=it}.footer.header.line1': {},
    'lang.{lang=it}.footer.header.line2': {},
    'lang.{lang=it}.footer.header.line3': {},
    'lang.{lang=it}.hero.contact.content': {},
    'lang.{lang=it}.hero.contact.cta.content': {},
    'lang.{lang=it}.hero.line1': {},
    'lang.{lang=it}.hero.line2': {},
    'lang.{lang=it}.hero.line3': {},
    'lang.{lang=it}.hero.line4': {},
    'lang.{lang=it}.hero.pitch': {},
    'lang.{lang=it}.nav.links.{link=1}.content': {},
    'lang.{lang=it}.nav.links.{link=1}.href': {},
    'lang.{lang=it}.nav.links.{link=2}.content': {},
    'lang.{lang=it}.nav.links.{link=2}.href': {},
    'lang.{lang=it}.nav.links.{link=3}.content': {},
    'lang.{lang=it}.nav.links.{link=3}.href': {},
    'lang.{lang=it}.nav.links.{link=4}.content': {},
    'lang.{lang=it}.nav.links.{link=4}.href': {},
    'lang.{lang=it}.nav.links.{link=5}.content': {},
    'lang.{lang=it}.nav.links.{link=5}.href': {},
    'lang.{lang=it}.nav.rightcta.content': {},
    'lang.{lang=it}.nav.rightcta.href': {},
    'lang.{lang=it}.newsletter.error': {},
    'lang.{lang=it}.newsletter.footer': {},
    'lang.{lang=it}.newsletter.heading': {},
    'lang.{lang=it}.newsletter.loading': {},
    'lang.{lang=it}.newsletter.placeholder': {},
    'lang.{lang=it}.newsletter.subheading': {},
    'lang.{lang=it}.newsletter.submit': {},
    'lang.{lang=it}.newsletter.success': {},
    'lang.{lang=it}.pages.{slug=cookies}.content': {},
    'lang.{lang=it}.pages.{slug=cookies}.heading': {},
    'lang.{lang=it}.pages.{slug=cookies}.subheading': {},
    'lang.{lang=it}.pages.{slug=data-deletion}.content': {},
    'lang.{lang=it}.pages.{slug=data-deletion}.heading': {},
    'lang.{lang=it}.pages.{slug=data-deletion}.subheading': {},
    'lang.{lang=it}.pages.{slug=privacy}.content': {},
    'lang.{lang=it}.pages.{slug=privacy}.heading': {},
    'lang.{lang=it}.pages.{slug=privacy}.subheading': {},
    'lang.{lang=it}.pages.{slug=terms}.content': {},
    'lang.{lang=it}.pages.{slug=terms}.heading': {},
    'lang.{lang=it}.pages.{slug=terms}.subheading': {},
    'lang.{lang=it}.projects.heading': {},
    'lang.{lang=it}.projects.image1.content.alt': {},
    'lang.{lang=it}.projects.image1.content.src': {},
    'lang.{lang=it}.projects.image1.href': {},
    'lang.{lang=it}.projects.image2.content.alt': {},
    'lang.{lang=it}.projects.image2.content.src': {},
    'lang.{lang=it}.projects.image2.href': {},
    'lang.{lang=it}.projects.image3.content.alt': {},
    'lang.{lang=it}.projects.image3.content.src': {},
    'lang.{lang=it}.projects.image3.href': {},
    'lang.{lang=it}.projects.list.{project=agritalychain}.description': {},
    'lang.{lang=it}.projects.list.{project=agritalychain}.icon.src': {},
    'lang.{lang=it}.projects.list.{project=agritalychain}.image.src': {},
    'lang.{lang=it}.projects.list.{project=agritalychain}.name': {},
    'lang.{lang=it}.projects.list.{project=agritalychain}.slug': {},
    'lang.{lang=it}.projects.list.{project=agritalychain}.type': {},
    'lang.{lang=it}.projects.list.{project=agritalychain}.url': {},
    'lang.{lang=it}.projects.list.{project=agritalychain}.year': {},
    'lang.{lang=it}.projects.list.{project=alacarte}.description': {},
    'lang.{lang=it}.projects.list.{project=alacarte}.icon.src': {},
    'lang.{lang=it}.projects.list.{project=alacarte}.image.src': {},
    'lang.{lang=it}.projects.list.{project=alacarte}.name': {},
    'lang.{lang=it}.projects.list.{project=alacarte}.slug': {},
    'lang.{lang=it}.projects.list.{project=alacarte}.type': {},
    'lang.{lang=it}.projects.list.{project=alacarte}.url': {},
    'lang.{lang=it}.projects.list.{project=alacarte}.year': {},
    'lang.{lang=it}.projects.list.{project=barbieri}.description': {},
    'lang.{lang=it}.projects.list.{project=barbieri}.icon.src': {},
    'lang.{lang=it}.projects.list.{project=barbieri}.image.src': {},
    'lang.{lang=it}.projects.list.{project=barbieri}.name': {},
    'lang.{lang=it}.projects.list.{project=barbieri}.slug': {},
    'lang.{lang=it}.projects.list.{project=barbieri}.type': {},
    'lang.{lang=it}.projects.list.{project=barbieri}.url': {},
    'lang.{lang=it}.projects.list.{project=barbieri}.year': {},
    'lang.{lang=it}.projects.list.{project=catchme}.description': {},
    'lang.{lang=it}.projects.list.{project=catchme}.icon.src': {},
    'lang.{lang=it}.projects.list.{project=catchme}.image.src': {},
    'lang.{lang=it}.projects.list.{project=catchme}.name': {},
    'lang.{lang=it}.projects.list.{project=catchme}.slug': {},
    'lang.{lang=it}.projects.list.{project=catchme}.type': {},
    'lang.{lang=it}.projects.list.{project=catchme}.url': {},
    'lang.{lang=it}.projects.list.{project=catchme}.year': {},
    'lang.{lang=it}.projects.list.{project=fithancer}.description': {},
    'lang.{lang=it}.projects.list.{project=fithancer}.icon.src': {},
    'lang.{lang=it}.projects.list.{project=fithancer}.image.src': {},
    'lang.{lang=it}.projects.list.{project=fithancer}.name': {},
    'lang.{lang=it}.projects.list.{project=fithancer}.slug': {},
    'lang.{lang=it}.projects.list.{project=fithancer}.type': {},
    'lang.{lang=it}.projects.list.{project=fithancer}.url': {},
    'lang.{lang=it}.projects.list.{project=fithancer}.year': {},
    'lang.{lang=it}.projects.list.{project=generalfoods}.description': {},
    'lang.{lang=it}.projects.list.{project=generalfoods}.icon.src': {},
    'lang.{lang=it}.projects.list.{project=generalfoods}.image.src': {},
    'lang.{lang=it}.projects.list.{project=generalfoods}.name': {},
    'lang.{lang=it}.projects.list.{project=generalfoods}.slug': {},
    'lang.{lang=it}.projects.list.{project=generalfoods}.type': {},
    'lang.{lang=it}.projects.list.{project=generalfoods}.url': {},
    'lang.{lang=it}.projects.list.{project=generalfoods}.year': {},
    'lang.{lang=it}.projects.list.{project=intempo}.description': {},
    'lang.{lang=it}.projects.list.{project=intempo}.icon.src': {},
    'lang.{lang=it}.projects.list.{project=intempo}.image.src': {},
    'lang.{lang=it}.projects.list.{project=intempo}.name': {},
    'lang.{lang=it}.projects.list.{project=intempo}.slug': {},
    'lang.{lang=it}.projects.list.{project=intempo}.type': {},
    'lang.{lang=it}.projects.list.{project=intempo}.url': {},
    'lang.{lang=it}.projects.list.{project=intempo}.year': {},
    'lang.{lang=it}.projects.list.{project=pallacanestrobs}.description': {},
    'lang.{lang=it}.projects.list.{project=pallacanestrobs}.icon.src': {},
    'lang.{lang=it}.projects.list.{project=pallacanestrobs}.image.src': {},
    'lang.{lang=it}.projects.list.{project=pallacanestrobs}.name': {},
    'lang.{lang=it}.projects.list.{project=pallacanestrobs}.slug': {},
    'lang.{lang=it}.projects.list.{project=pallacanestrobs}.type': {},
    'lang.{lang=it}.projects.list.{project=pallacanestrobs}.url': {},
    'lang.{lang=it}.projects.list.{project=pallacanestrobs}.year': {},
    'lang.{lang=it}.projects.list.{project=penelope}.description': {},
    'lang.{lang=it}.projects.list.{project=penelope}.icon.src': {},
    'lang.{lang=it}.projects.list.{project=penelope}.image.src': {},
    'lang.{lang=it}.projects.list.{project=penelope}.name': {},
    'lang.{lang=it}.projects.list.{project=penelope}.slug': {},
    'lang.{lang=it}.projects.list.{project=penelope}.type': {},
    'lang.{lang=it}.projects.list.{project=penelope}.url': {},
    'lang.{lang=it}.projects.list.{project=penelope}.year': {},
    'lang.{lang=it}.projects.list.{project=pitchpad}.description': {},
    'lang.{lang=it}.projects.list.{project=pitchpad}.icon.src': {},
    'lang.{lang=it}.projects.list.{project=pitchpad}.image.src': {},
    'lang.{lang=it}.projects.list.{project=pitchpad}.name': {},
    'lang.{lang=it}.projects.list.{project=pitchpad}.slug': {},
    'lang.{lang=it}.projects.list.{project=pitchpad}.type': {},
    'lang.{lang=it}.projects.list.{project=pitchpad}.url': {},
    'lang.{lang=it}.projects.list.{project=pitchpad}.year': {},
    'lang.{lang=it}.projects.list.{project=stringifyr}.description': {},
    'lang.{lang=it}.projects.list.{project=stringifyr}.icon.src': {},
    'lang.{lang=it}.projects.list.{project=stringifyr}.image.src': {},
    'lang.{lang=it}.projects.list.{project=stringifyr}.name': {},
    'lang.{lang=it}.projects.list.{project=stringifyr}.slug': {},
    'lang.{lang=it}.projects.list.{project=stringifyr}.type': {},
    'lang.{lang=it}.projects.list.{project=stringifyr}.url': {},
    'lang.{lang=it}.projects.list.{project=stringifyr}.year': {},
    'lang.{lang=it}.quotepopup.content': {},
    'lang.{lang=it}.quotepopup.cta.content': {},
    'lang.{lang=it}.quotepopup.cta.href': {},
    'lang.{lang=it}.quotes.list.{quote=1}.avatar.src': {},
    'lang.{lang=it}.quotes.list.{quote=1}.content': {},
    'lang.{lang=it}.quotes.list.{quote=1}.customer.name': {},
    'lang.{lang=it}.quotes.list.{quote=1}.customer.role': {},
    'lang.{lang=it}.services.heading': {},
    'lang.{lang=it}.services.list.{service=1}.name': {},
    'lang.{lang=it}.services.list.{service=2}.name': {},
    'lang.{lang=it}.services.list.{service=3}.name': {},
    'lang.{lang=it}.services.list.{service=4}.name': {},
    'lang.{lang=it}.services.list.{service=5}.name': {},
    'lang.{lang=it}.services.list.{service=6}.name': {},
    'lang.{lang=it}.workflow.heading': {},
    'lang.{lang=it}.workflow.line1': {},
    'lang.{lang=it}.workflow.line2': {},
    'lang.{lang=it}.workflow.line3': {},
    'lang.{lang=it}.workflow.line4': {},
    'lang.{lang=it}.workflow.line5': {},
    'lang.{lang=it}.workflow.subheading': {},
  }).reduce((acc, k) => {
    ['it', 'en', 'de', 'fr', 'ke', 'as', 'po', 'gg', 'do', 'wo', 'fo'].forEach((lang) => {
      acc[k.replace('lang=it', `lang=${lang}`)] = {};
    });
    return acc;
  }, {}),
  'logo.alt': {},
  'logo.src': {},
};

export const TestData = _.mapValues(data1, (_d, resolver) => {
  return {
    type: 'markdown',
    value: `
    ### ${resolver}
    ---
  `,
  };
});
